SET TERM ^ ;

ALTER PROCEDURE G_SUM_ESV_SICK2 (
    ID_SOURCEFIN INTEGER,
    ID_DEPARTMANTS INTEGER,
    ID_TYPENFZP INTEGER,
    ID_SOTRUDNIK INTEGER)
RETURNS (
    ID_SFIN INTEGER,
    ID_DEP INTEGER,
    SUMMA DOUBLE PRECISION)
AS
DECLARE VARIABLE ID_SNU_VAR INTEGER;
DECLARE VARIABLE SUMMA_VAR DOUBLE PRECISION;
begin
  summa_var = 0;
  for select
  s.id_snu,
sfin.id_sourcefinance,
dep.id_departmants,
sum(  jczp.s) as Nachsum
from journalcalczp  jczp
left join sotrudnik sotr on jczp.id_sotrudnik=sotr.id_sotrudnik
left join snu s on s.id_snu=jczp.id_snu
left join departmants dep on dep.id_departmants=sotr.id_departmants
left join SOURCEFINANCE sfin on sfin.ID_SOURCEFINANCE=jczp.ID_SOURS
left join typegroupsnu tgr on tgr.id_typegroupsnu=s.groupsnu
left join typeesv tes on tes.id_typeesv=sotr.id_typeesv
left join typeassurance tas on tas.id_typeassurance=sotr.id_typeassurance
left join stateyn stn on stn.id_stateyn=sotr.proftaxcalc

where jczp.id_typenfzp is null and s.codesnu > 2000
and jczp.dateu<='31.12.2015'
and s.esvcherge=1
and tgr.ntypegroupsnu in(71,72,73)
and tes.ntypeesv in (1,2)

and ((sfin.id_sourcefinance is null)or(sfin.id_sourcefinance=:id_sourcefin))
and dep.id_departmants=:id_departmants
and jczp.id_sotrudnik=:ID_SOTRUDNIK
group by s.id_snu,sfin.id_sourcefinance,dep.id_departmants
order by sfin.id_sourcefinance,dep.id_departmants
into :id_snu_var,:id_sfin,:id_dep,:summa
do begin
    summa_var = summa_var + coalesce(summa,0);
   end
   summa = summa_var;
  suspend;
end

^

SET TERM ; ^



